db-torque-user mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Thomas Vandahl ...@apache.org>
Subject Re: Upgrading Torque 3.0 to Torque 3.3
Date Sat, 07 Nov 2009 22:21:36 GMT
On 06.11.09 22:19, Angela Day wrote:
> I simply replace the jar files in my classpath and I get the following error on build:
> 
> C:\workspace\contract\build-torque.xml:74: taskdef A class needed by class org.apache.torque.task.TorqueDataModelTask
cannot be found: org/apache/texen/ant/TexenTask
> 
> I try including texan1.0.jar and I get the following error:
> 
> C:\workspace\contract\build-torque.xml:532: java.lang.NoSuchMethodError: org.apache.commons.lang.StringUtils.capitalize(Ljava/lang/String;)Ljava/lang/String;
> 
> I know this is some other jar file that I need, but I am at a loss and have been stuck
for quite a while.  Can someone lend some help?  I know I have a lot of work to do in converting
my configuration files, but I want to get the jar files straightened out first.

You might want have a look at
http://db.apache.org/torque/releases/torque-3.3/runtime/dependencies.html

Make sure you have the dependencies listed there in your classpath.
Looks like commons-lang needs upgrading, too.

Bye, Thomas.

---------------------------------------------------------------------
To unsubscribe, e-mail: torque-user-unsubscribe@db.apache.org
For additional commands, e-mail: torque-user-help@db.apache.org


Mime
View raw message